Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid.event
Interface EditorGridListener

All Known Implementing Classes:
  EditorGridListenerAdapter

    public interface EditorGridListener

Method Summary
`boolean` | `doBeforeEdit(GridPanel grid, Record record, java.lang.String field, java.lang.Object value, int rowIndex, int colIndex)` Fires before cell editing is triggered.
`boolean` | `doValidateEdit(GridPanel grid, Record record, java.lang.String field, java.lang.Object value, java.lang.Object originalValue, int rowIndex, int colIndex)` Fires after a cell is edited, but before the value is set in the record.
`void` | `onAfterEdit(GridPanel grid, Record record, java.lang.String field, java.lang.Object newValue, java.lang.Object oldValue, int rowIndex, int colIndex)` Fires after a cell is edited.

Method Detail

### onAfterEdit

    void onAfterEdit(GridPanel grid,
                     Record record,
                     java.lang.String field,
                     java.lang.Object newValue,
                     java.lang.Object oldValue,
                     int rowIndex,
                     int colIndex)

  Fires after a cell is edited.

  Parameters:
    `grid` - this
    `record` - the record being edited
    `field` - the field name being edited
    `newValue` - the value being set
    `oldValue` - the original value for the field, before the edit.
    `rowIndex` - the grid row index
    `colIndex` - the grid column index

### doBeforeEdit

    boolean doBeforeEdit(GridPanel grid,
                         Record record,
                         java.lang.String field,
                         java.lang.Object value,
                         int rowIndex,
                         int colIndex)

  Fires before cell editing is triggered.

  Parameters:
    `grid` - This grid
    `record` - the record being edited
    `field` - the field name being edited
    `value` - the value for the field being edited
    `rowIndex` - the grid row index
    `colIndex` - the grid column index
  Returns:
    false to cancel the edit

### doValidateEdit

    boolean doValidateEdit(GridPanel grid,
                           Record record,
                           java.lang.String field,
                           java.lang.Object value,
                           java.lang.Object originalValue,
                           int rowIndex,
                           int colIndex)

  Fires after a cell is edited, but before the value is set in the record. Return false to cancel the change.

  Parameters:
    `grid` - this
    `record` - the record being edited
    `field` - the field name being edited
    `value` - the value being set
    `originalValue` - the original value for the field, before the edit
    `rowIndex` - the grid row index
    `colIndex` - the grid column index
  Returns:
    false to cancel the change

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD